services:
  rabbitmq:
    image: rabbitmq:3.12.8-management
    environment:
      RABBITMQ_DEFAULT_USER: admin
      RABBITMQ_DEFAULT_PASS: admin
    ports:
      - 15672:15672
    volumes:
      - rabbitmq-data:/var/lib/rabbitmq

  mediawiki:
    image: mediawiki
    ports:
      - 8081:80
    volumes:
      - mediawiki-data:/var/files/mediawiki

  wordpress:
    image: wordpress
    ports:
      - 8082:80
    volumes:
      - wordpress-data:/var/files/wordpress

volumes:
  rabbitmq-data:
  mediawiki-data:
  wordpress-data: